> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a product by name

> Retrieve a specific product by its name.



## OpenAPI

````yaml get /api/v1/products/{product_name}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/products/{product_name}/:
    get:
      tags:
        - Products
      summary: Retrieve a product by name
      description: Retrieve a specific product by its name.
      operationId: v1_products_retrieve_by_name
      parameters:
        - in: path
          name: product_name
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product'
              examples:
                RetrieveInsuranceProductByNameExample:
                  value:
                    id: de210257-05d4-41fe-8e99-66f4b1a4b759
                    coverages: []
                    provider:
                      provider_id: fe3d49af-4061-436b-ae60-f7044f252a44
                      provider_name: SimpleServer Insurance Group
                      email: ss@insurance.com
                    created_at: 2025-02-12 17:21
                    updated_at: 2025-02-12 17:21
                    is_trashed: 'false'
                    trashed_at: 'null'
                    restored_at: 'null'
                    name: Life Insurance
                    description: Long-term life insurance scheme.
                    product_type: Life
                    base_premium: '5000.00'
                    is_live: 'true'
                    origin_product_id: 2147483647
                    product_plan: Standard
                    pricing:
                      amount: '5000.00'
                      tax: '500.00'
                      surcharges: '0.00'
                      total_price: '5500.00'
                  summary: Retrieve insurance product by name example
          description: Product details
        '404':
          description: Product not found.
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Product:
      type: object
      description: Serializer for the Product model
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique identifier for the package
        name:
          type: string
          description: Name of the package offered by the insurance provider
          maxLength: 255
        description:
          type: string
          nullable: true
          description: Description of the package
        product_type:
          allOf:
            - $ref: '#/components/schemas/ProductTypeEnum'
          description: |-
            Type of insurance package

            * `Life` - Life Insurance
            * `Health` - Health Insurance
            * `Auto` - Auto Insurance
            * `Cargo` - Cargo (Shipment) Insurance
            * `Gadget` - Gadget Insurance
            * `Travel` - Travel Insurance
            * `Home` - Home Insurance
            * `Student_Protection` - Student Protection
            * `Accident` - Accident Insurance
            * `Personal_Accident` - Personal Accident Insurance
            * `CreditLife` - Credit Life Insurance
            * `PetCare` - PetCare Insurance
            * `General` - General Insurance
            * `Other` - Other
        product_plan:
          type: string
          nullable: true
          description: >-
            The plan or tier of the product (e.g., Basic, Premium, or any custom
            plan)
          maxLength: 255
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/Coverage'
        base_premium:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          description: Base premium (Estimate) price if no tiers or tenures are defined
        pricing:
          $ref: '#/components/schemas/ProductPricing'
        provider:
          $ref: '#/components/schemas/PolicyProvider'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - coverages
        - created_at
        - id
        - name
        - pricing
        - product_plan
        - product_type
        - provider
        - updated_at
    ProductTypeEnum:
      enum:
        - Life
        - Health
        - Auto
        - Cargo
        - Gadget
        - Travel
        - Home
        - Student_Protection
        - Accident
        - Personal_Accident
        - CreditLife
        - PetCare
        - General
        - Other
      type: string
      description: |-
        * `Life` - Life Insurance
        * `Health` - Health Insurance
        * `Auto` - Auto Insurance
        * `Cargo` - Cargo (Shipment) Insurance
        * `Gadget` - Gadget Insurance
        * `Travel` - Travel Insurance
        * `Home` - Home Insurance
        * `Student_Protection` - Student Protection
        * `Accident` - Accident Insurance
        * `Personal_Accident` - Personal Accident Insurance
        * `CreditLife` - Credit Life Insurance
        * `PetCare` - PetCare Insurance
        * `General` - General Insurance
        * `Other` - Other
    Coverage:
      type: object
      properties:
        coverage_id:
          type: string
          readOnly: true
          description: unique identifier to track coverage details
        coverage_name:
          type: string
          readOnly: true
          description: Name of the coverage e.g collision, hospitalization, etc.
        coverage_description:
          type: string
        url:
          type: string
          format: uri
          readOnly: true
      required:
        - coverage_description
        - coverage_id
        - coverage_name
        - url
    ProductPricing:
      type: object
      description: >-
        Serializer for the Price model with limited fields (only amount and
        currency)
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        currency:
          type: string
          description: Currency code
          maxLength: 3
      required:
        - amount
    PolicyProvider:
      type: object
      properties:
        provider_id:
          type: string
          format: uuid
        provider_name:
          type: string
        email:
          type: string
          format: email
      required:
        - email
        - provider_id
        - provider_name
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````